# jtag simulation

## install openocd

```shell
git clone https://github.com/riscv/riscv-openocd.git
cd riscv-openocd
./bootstrap
./configure --prefix=$RISCV --enable-remote-bitbang --enable-jtag_vpi --enable-ftdi --enable-jlink
make
sudo make install
```
## start openocd

`openocd -d -f swerv.cfg`

## start gdb

`/opt/riscv/bin/riscv32-unknown-elf-gdb -ex "target extended-remote :3333"`

## quick start

At demo/jtag/  

1. `make all`  
2. `make openocd` 
3. `make gdb`